function plot_pos(buoy_choice,f)


switch buoy_choice
 case 'sf6-inj'
  % plot SF6 injection track
  [sf6_longi, sf6_lati] = textread('/mnt/oc415-2a/oc415_2/sled/inj_dat.txt','%f%f');
  h(5)=plot(sf6_longi,sf6_lati,'g-','linewidth',4);
  ht = text(sf6_longi(end),sf6_lati(end)+0.01,'SF6 Injection');
  set(ht,'fontsize',10,'fontweight','bold')
 case 'sp'
  %keyboard
  %menu_items = get(f,'Children')
  %menu_items = get(f)
  %if strcmpi(get(menu_items(end),'checked'),'off')
    %set(menu_items(end),'checked','on')
    % plot spar buoy position
    load /mnt/oc415-2a/oc415_2/spar/eddies_pos.mat
    sp_lati = lat;
    clear lat;
    sp_longi = lon;
    clear lon;
    h(4)=plot(sp_longi,sp_lati,'r*:','markersize',10);
    ht = text(sp_longi(end),sp_lati(end)+0.01,'Spar Buoy');
    set(ht,'fontsize',10,'fontweight','bold')
  %else
  %end
 case 'sh'
  % plot seahorse position
  [sh_dtstr, sh_fixtime, sh_lati, sh_longi] = textread('/mnt/oc415-2a/oc415_2/adcp/positions/seahorse.dat','%s%d%f%f','headerlines',1);
  h(5)=plot(sh_longi,sh_lati,'g^:','markersize',10,'markerfacecolor','g'); ...
  ht = text(sh_longi(end),sh_lati(end)+0.01,'SeaHorse');
  set(ht,'fontsize',10,'fontweight','bold')
 case 'EM-APEX'
  % James EM-APEX 1633       
  [EM1633_dtstr, EM1633_fixtime, EM1633_lati, EM1633_longi] = textread('/mnt/oc415-2a/oc415_2/adcp/positions/float_1633.dat','%s%d%f%f','headerlines',1);
  h(6)=plot(EM1633_longi,EM1633_lati,'kp:','markersize',15,'markerfacecolor','k'); ...
  ht = text(EM1633_longi(end),EM1633_lati(end)+0.01,'EM-APEX 1633');
  set(ht,'fontsize',10,'fontweight','bold')
  % James EM-APEX 1635       
  [EM1635_dtstr, EM1635_fixtime, EM1635_lati, EM1635_longi] = textread('/mnt/oc415-2a/oc415_2/adcp/positions/float_1635.dat','%s%d%f%f','headerlines',1);
  h(6)=plot(EM1635_longi,EM1635_lati,'kp:','markersize',15,'markerfacecolor',[1 0 0]); ...
  ht = text(EM1635_longi(end),EM1635_lati(end)+0.01,'EM-APEX 1635');
  set(ht,'fontsize',10,'fontweight','bold')
  % James EM-APEX 1636       
  [EM1636_dtstr, EM1636_fixtime, EM1636_lati, EM1636_longi] = textread('/mnt/oc415-2a/oc415_2/adcp/positions/float_1636.dat','%s%d%f%f','headerlines',1);
  h(6)=plot(EM1636_longi,EM1636_lati,'kp:','markersize',15,'markerfacecolor',[0.5 1 1]); ...
  ht = text(EM1636_longi(end),EM1636_lati(end)+0.01,'EM-APEX 1636');
  set(ht,'fontsize',10,'fontweight','bold')
 case 'ed'
  % plot center position       
  [cen_dtstr, cen_fixtime, cen_lati, cen_longi] = textread('/mnt/oc415-2a/oc415_2/adcp/positions/trajectory.dat','%s%d%f%f','headerlines',1);
  h(8)=plot(cen_longi,cen_lati,'ko--','markersize',10,'markerfacecolor','y'); ...
  ht = text(cen_longi(end),cen_lati(end)+0.01,'Eddy Center');
  set(ht,'fontsize',10,'fontweight','bold')
 case 'ctd'
  % plot CTD stations
  [ctd_dtstr, ctd_fixtime, ctd_lati, ctd_longi, std_num] = textread('/mnt/oc415-2a/oc415_2/adcp/positions/station.dat','%s%d%f%f%d','headerlines',1);
  h(7)=plot(ctd_longi,ctd_lati,'ko','markersize',10,'markerfacecolor','k'); 
  plot(ctd_longi,ctd_lati+0.01,int2str(std_num')); 
  ht = text(ctd_longi(end),ctd_lati(end)+0.01,'CTD Stations');
  set(ht,'fontsize',10,'fontweight','bold')
 case 'gl'
  % Rutgers Glider       
  [gl_dtstr, gl_fixtime, gl_lati, gl_longi] = textread('/mnt/oc415-2a/oc415_2/adcp/positions/glider.dat','%s%d%f%f','headerlines',1);
  h(9)=plot(gl_longi,gl_lati,'ks:','markersize',10,'markerfacecolor','y'); ...
  ht = text(gl_longi(end),gl_lati(end)+0.01,'Glider');
  set(ht,'fontsize',10,'fontweight','bold')
 case 'xbt'
  % nothing to do yet
end


